import "./App.css";
import React, { useContext } from "react";
import {
  BrowserRouter as Router,
  Route,
  Routes,
  Navigate,
} from "react-router-dom";

import Home from "./components/Home/Home";
import Login from "./components/Login/Login";
import PracticeHome from "./components/APITest/PracticeHome";
import AdminHome from "./components/AdminHome/AdminHome";
import MyAccountAdminView from "./components/MyAccountAdminView/MyAccountAdminView";
import SearchResults from "./components/SearchResults/SearchResults";
import Navbar from "./components/NavBar/Navbar";
import AdminDashboard from "./components/AdminDashboard/AdminDashboard";
import ApplicationActivity from "./components/ApplicationActivity/ApplicationActivity";
import CreateUsers from "./components/CreateUsers/CreateUsers";
import EditUserDetails from "./components/EditUserDetails/EditUserDetails";
import SearchUserForEdit from "./components/SearchUserForEdit/SearchUserForEdit";

function App() {
  return (
    <Router>
      <div className="App">
        <Navbar />
        <Routes>
          <Route path="/login" element={<Login />} />
          <Route path="/home" element={<Home />} />
          <Route path="/admin/dashboard" element={<AdminDashboard />} />
          <Route path="/admin/activity" element={<ApplicationActivity />} />
          <Route path="/admin/create-people" element={<CreateUsers />} />
          <Route
            path="/admin/search-people-edit"
            element={<SearchUserForEdit />}
          />
          <Route
            path="/admin/edit-person/:personId"
            element={<EditUserDetails />}
          />
          <Route path="/practice" element={<PracticeHome />} />
          <Route path="/AdminHome" element={<AdminHome />} />
          <Route path="/MyAccountAdminView" element={<MyAccountAdminView />} />
          <Route path="/search-results" element={<SearchResults />} />
        </Routes>
      </div>
    </Router>
  );
}

export default App;
